org.apache.mina.core.write

## Class WriteToClosedSessionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.mina.core.write.WriteException
        - - org.apache.mina.core.write.WriteToClosedSessionException

- All Implemented Interfaces:
    Serializable

      public class WriteToClosedSessionException
      extends WriteException

  An exception which is thrown when one or more write operations were attempted on a closed session.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteToClosedSessionException(Collection<WriteRequest> requests)`
    `WriteToClosedSessionException(Collection<WriteRequest> requests, String s)`
    `WriteToClosedSessionException(Collection<WriteRequest> requests, String message, Throwable cause)`
    `WriteToClosedSessionException(Collection<WriteRequest> requests, Throwable cause)`
    `WriteToClosedSessionException(WriteRequest request)`
    `WriteToClosedSessionException(WriteRequest request, String s)`
    `WriteToClosedSessionException(WriteRequest request, String message, Throwable cause)`
    `WriteToClosedSessionException(WriteRequest request, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.core.write.WriteException

      `getRequest, getRequests`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(Collection<WriteRequest> requests,
                                       String message,
                                       Throwable cause)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(Collection<WriteRequest> requests,
                                       String s)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(Collection<WriteRequest> requests,
                                       Throwable cause)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(Collection<WriteRequest> requests)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(WriteRequest request,
                                       String message,
                                       Throwable cause)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(WriteRequest request,
                                       String s)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(WriteRequest request,
                                       Throwable cause)

    - #### WriteToClosedSessionException

          public WriteToClosedSessionException(WriteRequest request)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.